Bug 70378 - fatal error: xmlpool/options.h: No such file or directory
Summary: fatal error: xmlpool/options.h: No such file or directory
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: All Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-11 15:40 UTC by Fabio Pedretti
Modified: 2013-10-15 21:07 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
set HAVE_COMMON_DRI when building plain classic swrast (1.54 KB, patch)
2013-10-11 16:08 UTC, Emil Velikov
Details | Splinter Review
targets/dri-swrast: add correct include for out-of-tree builds (1.04 KB, patch)
2013-10-11 20:21 UTC, Emil Velikov
Details | Splinter Review
swrast: add correct include for out-of-tree builds (1.51 KB, patch)
2013-10-12 02:26 UTC, Emil Velikov
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fabio Pedretti 2013-10-11 15:40:47 UTC
Compiling current mesa I get this:

  CC     dri_util.lo
In file included from ../../../../../../src/mesa/drivers/dri/common/dri_util.c:48:0:
../../../../../../src/mesa/drivers/dri/common/xmlpool.h:103:29: fatal error: xmlpool/options.h: No such file or directory

full log here:
https://launchpadlibrarian.net/153507573/buildlog_ubuntu-raring-amd64.mesa_9.3~git1310111709.396c69%2Bglvdpau~gd~r_FAILEDTOBUILD.txt.gz

Note: similar error of bug #70057 (but with current git).
Comment 1 Emil Velikov 2013-10-11 16:08:54 UTC
Created attachment 87471 [details] [review]
set HAVE_COMMON_DRI when building plain classic swrast

Damn, should have noticed this when I did the fix for bug 70057.
Comment 3 Emil Velikov 2013-10-11 16:56:33 UTC
Interesting, the attached patch will resolve build failure when configured with

$ ./autogen.sh --with-dri-drivers=swrast --with-gallium-drivers=
$ make

Fabio Pedretti, what configure flags you're using ?
Comment 4 Fabio Pedretti 2013-10-11 17:43:25 UTC
It builds with:

../../configure --prefix=/usr --mandir=\${prefix}/share/man \
	             --infodir=\${prefix}/share/info --sysconfdir=/etc \
	             --libdir=\${prefix}/lib/i386-linux-gnu \
	             --localstatedir=/var --build=i686-linux-gnu --enable-dri --with-dri-drivers=" r200 radeon nouveau swrast i915 i965" --with-dri-driverdir=/usr/lib/i386-linux-gnu/dri --with-dri-searchpath='/usr/lib/i386-linux-gnu/dri:\$${ORIGIN}/dri:/usr/lib/dri' --enable-osmesa --enable-glx-tls --enable-shared-glapi --enable-texture-float --enable-xa --enable-driglx-direct --with-egl-platforms="x11 drm wayland" --enable-gallium-llvm --with-llvm-shared-libs --with-gallium-drivers=" nouveau r600 r300 svga ilo radeonsi i915 swrast" --enable-gles1 --enable-gles2 --enable-openvg --enable-gallium-egl

(it's also in the build log anyway.)
Comment 5 Emil Velikov 2013-10-11 19:33:24 UTC
I have to admit that build log was a bit too "inspiring" for me. I got bored half way though the list of downloading and installing all the dependencies :)

Anywho, the issue reported seems different from the one I've prepped a patch for, namely - out of tree builds :)

I'll a proper fix for this bug shortly
Comment 6 Emil Velikov 2013-10-11 20:21:38 UTC
Created attachment 87484 [details] [review]
targets/dri-swrast: add correct include for out-of-tree builds

This patch should resolve the issue, can you confirm
Comment 7 Emil Velikov 2013-10-12 02:26:38 UTC
Created attachment 87497 [details] [review]
swrast: add correct include for out-of-tree builds

A slightly more overzealous version, explicitly including the builddir for classic swrast on top of the reported gallium/swrast.
Comment 8 Andre Heider 2013-10-12 12:24:53 UTC
(In reply to comment #7)
> Created attachment 87497 [details] [review] [review]
> swrast: add correct include for out-of-tree builds
> 
> A slightly more overzealous version, explicitly including the builddir for
> classic swrast on top of the reported gallium/swrast.

Same issue here, and this patch fixes it.
Thanks Emil
Comment 9 Fabio Pedretti 2013-10-12 12:46:28 UTC
I cannot test it until few days, if it works for you commit it.
Comment 10 Kai 2013-10-14 10:58:47 UTC
(In reply to comment #7)
> Created attachment 87497 [details] [review] [review]
> swrast: add correct include for out-of-tree builds
> 
> A slightly more overzealous version, explicitly including the builddir for
> classic swrast on top of the reported gallium/swrast.

The patch works; you can have my Tested-by.
Comment 11 Fabio Pedretti 2013-10-15 07:49:09 UTC
(In reply to comment #9)
> I cannot test it until few days, if it works for you commit it.

Confirmed fixing the issue, thanks.
Comment 12 Andreas Boll 2013-10-15 21:07:52 UTC
Fixed with commit cd3fa176a8dbae3e14c9426e7fbe13baa6e84256


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.